> ## Documentation Index > Fetch the complete documentation index at: https://docs.plainid.io/llms.txt > Use this file to discover all available pages before exploring further. # List PAA Groups > This API call is designed to retrieve a list of PAA Groups and their children.

Notice

Accessing the API call is through a dedicated domain/URL, according to your PlainID Tenant Location
  • United States (US) - `https://API.us1.plainid.io`
  • Canada (CA) - `https://api.ca1.plainid.io`
  • Europe (EU) - `https://api.eu1.plainid.io`

  • Using HTML Encoded Special Characters

    Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this HTML URL Encoding Reference for a full list.


    Important note about headers

    Refer to the headers below to modify your cURL sample. Check if the following headers are in the sample, if not, ensure you add it to your cURL sample before pasting into your API tool.

    Headers

    *Required
    Header Value cURL Line
    Accept `application/json` `-H "Accept:application/json"`

    cURL Sample Guidelines

    In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right. They will then appear in the cURL sample on the bottom of the page in the correct format.

    ## OpenAPI ````json GET /api/1.0/paa-groups/{envId} { "openapi": "3.0.3", "info": { "title": "Management APIs", "version": "1.0.0", "contact": { "name": "PlainID", "url": "https://plainid.com", "email": "contact@plainid.com" }, "license": { "name": "Commercial", "url": "https://plainid.com/license" }, "termsOfService": "https://www.plainid.com/terms/", "description": "

    The PlainID Authorization Platform provides Management capabilities through the APIs below.

    To access the Management APIs, make sure to enter your dedicated domain according to your PlainID Tenant Location:
    RegionBase URL
    United States (US)https://api.us1.plainid.io
    Canada (CA)https://api.ca1.plainid.io
    Europe (EU)https://api.eu1.plainid.io
    Local PAAhttps://api.plainid.local
    " }, "servers": [ { "description": "United States", "url": "https://api.us1.plainid.io" }, { "description": "Europe", "url": "https://api.eu1.plainid.io" }, { "description": "Canada", "url": "https://api.ca1.plainid.io" }, { "description": "Local PAA", "url": "https://api.plainid.local" } ], "paths": { "/api/1.0/paa-groups/{envId}": { "get": { "tags": [ "PAA Groups" ], "summary": "List PAA Groups", "operationId": "getPAAGroups", "description": "This API call is designed to retrieve a list of PAA Groups and their children.
    \n

    Notice

    Accessing the API call is through a dedicated domain/URL, according to your PlainID Tenant Location
  • United States (US) - `https://API.us1.plainid.io`
  • Canada (CA) - `https://api.ca1.plainid.io`
  • Europe (EU) - `https://api.eu1.plainid.io`

  • \n

    Using HTML Encoded Special Characters

    Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this HTML URL Encoding Reference for a full list.


    \n

    Important note about headers

    Refer to the headers below to modify your cURL sample. Check if the following headers are in the sample, if not, ensure you add it to your cURL sample before pasting into your API tool.

    Headers

    *Required
    Header Value cURL Line
    Accept `application/json` `-H \"Accept:application/json\"`

    \n

    cURL Sample Guidelines

    In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right. They will then appear in the cURL sample on the bottom of the page in the correct format.

    ", "security": [ { "bearerAuth": [] } ], "parameters": [ { "name": "envId", "in": "path", "required": "true", "schema": { "type": "string", "format": "uuid" }, "description": "The Environment ID can be found under the Details Tab in the Environment Settings.
    If your PAA is installed on the Tenant level, input `-` as your `envId`." }, { "in": "query", "name": "limit", "schema": { "type": "integer", "default": "50", "minimum": "1", "maximum": "1000" } }, { "in": "query", "name": "offset", "schema": { "type": "integer", "default": "0", "minimum": "0" } }, { "in": "query", "name": "detailed", "schema": { "type": "boolean", "default": "false" }, "description": "False returns IDs only. True returns the entire group metadata and PAAs." } ], "responses": { "200": { "description": "PAA Groups Retrieved", "headers": { "x-request-id": { "schema": { "type": "string" } } }, "content": { "application/json": { "schema": { "type": "object", "properties": { "data": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string" }, "paaGroupType": { "type": "string" }, "paasCount": { "type": "integer" }, "hasInactiveSyncPaas": { "type": "boolean" }, "paas": { "type": "array", "description": "List of PAAs in the group. Only present when `detailed=true`.", "items": { "type": "object", "properties": { "id": { "type": "string" }, "name": { "type": "string" } } } } } } }, "meta": { "type": "object", "description": "Response Meta", "properties": { "total": { "type": "integer", "description": "Total number of records" }, "limit": { "type": "integer", "description": "Limit the number of records returned" }, "offset": { "type": "integer", "description": "The starting point for return of records" } } } } }, "examples": { "PAA Groups Retrieved Successfully (detailed)": { "value": { "data": [ { "id": "paa1", "paaGroupType": "HYBRID", "paasCount": "1", "hasInactiveSyncPaas": "false", "paas": [ { "id": "PAA3QK1UON1BOXS", "name": "paa-alpha" } ] }, { "id": "paa2", "paaGroupType": "HYBRID", "paasCount": "1", "hasInactiveSyncPaas": "false", "paas": [ { "id": "PAA5HL2VON2COYS", "name": "paa-beta" } ] } ], "meta": { "total": "2", "limit": "50", "offset": "0" } } }, "PAA Groups Retrieved Successfully (non-detailed)": { "value": { "data": [ { "id": "paa1" }, { "id": "paa2" } ], "meta": { "total": "2", "limit": "50", "offset": "0" } } } } } } }, "400": { "description": "Bad Request", "headers": { "x-request-id": { "schema": { "type": "string" } } } }, "401": { "description": "Unauthorized", "headers": { "x-request-id": { "schema": { "type": "string" } } } }, "500": { "description": "Internal Server Error", "headers": { "x-request-id": { "schema": { "type": "string", "format": "uuid" }, "description": "The ID of the request" } } } } } } } } ````